import java.util.ArrayList;
import java.util.List;

/**
 * @author fancl
 * @desc:
 * @date 2022/11/5
 */
public class MacTest {
    private static final String ALGORITHM = "HmacSHA256";
    public static void main(String[] args) throws Exception{
        List<String> list = new ArrayList<>();
        for (int i = 01; i <= 31; i++) {
            String s = String.valueOf(i);
            if (s.length() == 1){
                s = 0 + s;
            }
            list.add(s);
        }
        System.out.println(list);
        String date = "2020-01-15 15:45:42.444";
        String substring = date.substring(0, 4);
        System.out.println(substring);
    }

    /**
     * 将byte转为16进制
     *
     * @param bytes
     * @return
     */
    private static String byte2Hex(byte[] bytes) {
        StringBuffer stringBuffer = new StringBuffer();
        String temp = null;
        for (int i = 0; i < bytes.length; i++) {
            temp = Integer.toHexString(bytes[i] & 0xFF);
            if (temp.length() == 1) {
                //1得到一位的进行补0操作
                stringBuffer.append("0");
            }
            stringBuffer.append(temp);
        }
        return stringBuffer.toString();
    }
}
